Bug 1997 - sys pref to Edit no results found page
Summary: sys pref to Edit no results found page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: 3.4
Hardware: PC All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Nicole C. Engard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-05 03:17 UTC by Nicole C. Engard
Modified: 2012-10-25 22:52 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
patch (6.61 KB, application/octet-stream)
2010-05-11 19:02 UTC, Chris Cormack
Details
Patch rebased on HEAD, tested, signed-off and resent (6.80 KB, patch)
2010-12-11 20:26 UTC, Katrin Fischer
Details | Diff | Splinter Review
Follow up adding sys pref to all translated sql files (108.13 KB, patch)
2010-12-11 20:27 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 00:37:01 UTC


---- Reported by nengard@gmail.com 2008-04-05 15:17:39 ----

I got a request/question at PLA.  They wanted to know if there are no search results could we have a Meebo widget pop up to go to the ask a librarian IM account.  One other library has this enabled: http://www.davidleeking.com/2007/11/30/fun-with-our-meebo-widget-and-the-library-catalog/



---- Additional Comments From oleonard@myacpl.org 2009-07-03 13:48:18 ----

I would object to making changes specifically to enable a Meebo widget. It would be better, I think, to offer an option to add some custom HTML content to the page in the event of no results. Then the library could choose Meebo, a custom message, or whatever they wanted.



---- Additional Comments From nengard@gmail.com 2009-07-04 14:05:09 ----

I like that idea too :)



---- Additional Comments From nengard@gmail.com 2010-02-07 21:05:54 ----

For 3.4 I'm going to work on this.  Because of the way Meebo handles widgets (and because of Owen's comment) I can't dynamically create a Meebo widget on the fly in Koha - so here's my idea.  I am going to add a new system preference: NoResultsFoundBlock to allow the library to enter code to appear on the page if no results are found.  This will give the library control over what appears on the page when there are no results found - they may want to put help text there instead of a chat widget- or they might want to implement a widget other than Meebo.  Anyway, this will give the library control.



---- Additional Comments From katrin.fischer@bsz-bw.de 2010-02-08 07:37:08 ----

I really like this idea!



---- Additional Comments From nengard@gmail.com 2010-05-11 19:02:26 ----

Created an attachment
patch

This patch allows librarians to enter text that will display below the 'no results found' messages in the OPAC.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 00:37 UTC  ---

This bug was previously known as _bug_ 1997 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=1997
Imported an attachment (id=453)

Actual time not defined. Setting to 0.0
CC member bchurch@ptfs.com does not have an account here
The original submitter of attachment 453 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Katrin Fischer 2010-12-11 20:26:29 UTC
Created attachment 2832 [details] [review]
Patch rebased on HEAD, tested, signed-off and resent
Comment 2 Katrin Fischer 2010-12-11 20:27:07 UTC
Created attachment 2833 [details] [review]
Follow up adding sys pref to all translated sql files
Comment 3 Chris Cormack 2010-12-13 07:05:19 UTC
Patches pushed please test
Comment 4 Katrin Fischer 2010-12-13 09:37:01 UTC
Works in HEAD.